Commit f91a57d3 authored by Kenneth Raffenetti's avatar Kenneth Raffenetti Committed by Rob Latham
Browse files

disable interlibrary dependencies on BGQ



The default linker behavior on BGQ makes interlibrary dependencies
tricky to support correctly. Just disable them to make our lives easier.
Signed-off-by: Rob Latham's avatarRob Latham <robl@mcs.anl.gov>
parent 713eadd7
......@@ -228,6 +228,13 @@ if test "${pamid_platform}" = "BGQ" ; then
dnl
dnl Only the 'cpi', 'mpivars', and 'mpichversion' executables have this problem.
MPID_LIBTOOL_STATIC_FLAG="-all-static"
dnl Another bgq special case. The default linker behavior is to use static versions
dnl of libraries. This makes supporting interlibrary dependencies difficult. Just
dnl disable them to make our lives easier.
if test "$INTERLIB_DEPS" = "yes"; then
INTERLIB_DEPS="no"
fi
fi
if test "${pamid_platform}" = "PE" ; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment